Get template
curl --request GET \
--url https://api.aireserve.com/v1/gpu/templates/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aireserve.com/v1/gpu/templates/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aireserve.com/v1/gpu/templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"curated": true,
"imageName": "<string>",
"kind": "curated",
"containerDiskGb": 123,
"envKeys": [
"<string>"
],
"ports": [
{
"port": 123,
"protocol": "<string>"
}
],
"capabilities": {
"hasSsh": true,
"hasJupyter": true,
"hasTerminal": true,
"hasWebApp": true
},
"isActive": true
}GPU Compute
Get template
Returns a curated or organization-owned template.
GET
/
v1
/
gpu
/
templates
/
{id}
Get template
curl --request GET \
--url https://api.aireserve.com/v1/gpu/templates/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aireserve.com/v1/gpu/templates/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aireserve.com/v1/gpu/templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"curated": true,
"imageName": "<string>",
"kind": "curated",
"containerDiskGb": 123,
"envKeys": [
"<string>"
],
"ports": [
{
"port": 123,
"protocol": "<string>"
}
],
"capabilities": {
"hasSsh": true,
"hasJupyter": true,
"hasTerminal": true,
"hasWebApp": true
},
"isActive": true
}Authorizations
Your AI Reserve API key (aireserve_api_…) from the API Keys page in the portal (https://portal.aireserve.com/keys).
Path Parameters
Response
Template.
True for AI Reserve-managed curated templates. Curated templates are read-only.
Available options:
curated, tenant Documented environment variable names. Values are encrypted and never returned.
Show child attributes
Show child attributes
Show child attributes
Show child attributes